// PeriodicTools.h: interface for the PeriodicTools class.
//
//
//////////////////////////////////////////////////////////////////////
#pragma once

#ifndef _PeriodicTools_H
#define _PeriodicTools_H

#include <math.h>
#include <vector>

template <class Real> void Wrap(const Real middle, const Real periodicity, Real& x){

	Real min=middle-(periodicity/2.0);
	x-= ( floor((x-min)/periodicity))*periodicity;
	return;
}

#endif // // !defined(AFX_PeriodicTOOLS_H__0ACA4320_54AD_4465_BD22_E9FCD49F6769__INCLUDED_)
