// FileReader.h: interface for the FileReader class.
//
//
//
//////////////////////////////////////////////////////////////////////

#ifndef _FileReader_H
#define _FileReader_H

#include <string>

class FileReader  
{
public:

	FileReader(const std::string& fileName, const std::string& hint="rb");
	virtual ~FileReader();

	const std::string& GetContains();

private:

	FileReader();
	FileReader(const FileReader&);

	void ReadFile();

	std::string m_fileName;
	std::string m_hint;
	std::string m_contains;

};

#endif // // !defined(AFX_FILEREADER_H__B7061589_7670_4C30_9F4E_47A1FA409FC1__INCLUDED_)
