// SignalHandler.h: interface for the SignalHandler class.
//
//
//
//////////////////////////////////////////////////////////////////////

#ifndef _SignalHandler_H
#define _SignalHandler_H

#include <vector>

class SignalHandler  
{
public:

	static SignalHandler& Instance();
	virtual ~SignalHandler();

	int RegisterSignal(const int sig);
	bool CheckSignal(const int sig);
	void SetSignal(const int sig, const bool set=true);

private:
	
	std::vector< std::pair<int, bool> > m_signalList;
	SignalHandler();
};

#endif // // !defined(AFX_SignalHandler_H__CB6B9FD7_BF49_4588_9743_36764E05B87F__INCLUDED_)
