// StringParser.cpp: implementation of the StringParser class.
//
//////////////////////////////////////////////////////////////////////

#include "../include/StringParser.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

StringParser::StringParser(const std::string& input, const std::string& separator) : m_tokens()
{
	   
	int index=input.find_first_not_of(separator, 0);
	while (index>=0){
		
		int i=0;
		i=input.find_first_of(separator, index);

		int length=0;
		int begin=index;

		if (i>=0){
			length=i-index;
			index=input.find_first_not_of(separator, i+1);
		} else {
			length=input.size()-index;
			index=-1;
		}
		std::string token;
		token.assign(input,begin,length);
		m_tokens.push_back(token);
	}
}

StringParser::~StringParser()
{

}

int StringParser::GetNubmerOfToken(){

	return m_tokens.size();
}

const std::vector<std::string>& StringParser::GetTokens(){

	return m_tokens;
}
