#pragma once
#ifndef _BEDAMWindowSet_H
#define _BEDAMWindowSet_H

#include "WindowSet.h"

class BEDAMWindow; 
class BEDAMWindowSet : public WindowSet
{
public:

	BEDAMWindowSet(const std::string& metafileName, const int dataFreq);
	~BEDAMWindowSet(void);

	virtual void GetWindowSetRange(NDData& minR, NDData& maxR);

private:

	void ReadBEDAMFiles(const std::string& metafileName, const int dataFreq);

private:

	BEDAMWindowSet();
	BEDAMWindowSet(const BEDAMWindowSet&);

};

#endif //
