#pragma once

#ifndef _SetDecoratorFactory_H
#define _SetDecoratorFactory_H

#include <string>
#include <boost/shared_ptr.hpp>
#include "WindowDataType.h"

class SetDecorator;
class WindowSet;


class SetDecoratorFactory
{
public:

	static SetDecoratorFactory& Instance();
	boost::shared_ptr<SetDecorator> CreateSetDecorator(boost::shared_ptr<WindowSet> pSet, WindowDataType::Type type);

private:

	SetDecoratorFactory(){};
	virtual ~SetDecoratorFactory(){};

};

#endif // _SetDecoratorFactory_H
