
#ifndef _DcdFileReader_H
#define _DcdFileReader_H

#pragma once

class DcdFileReader 
{

public:

	DcdFileReader(const std::string& fileName);
	virtual ~DcdFileReader(void);

	int Read();

private:

	int ReadDCD(const std::vector<std::string> & dcdFileList, int first, int last, int stride);

	std::vector<std::string> m_dcdFileList;
	int m_first, m_last, m_stride;


};

#endif // _DcdFileReader_H
