#pragma once

#ifndef _FunctionFileHandler_H
#define _FunctionFileHandler_H

#include "../../MathTools/include/MathCommon.h"
#include <iostream>
#include <string>

namespace FunctionFileHandler {

	void WriteToFile(const std::string& key, const NDDataSet& positions, const OneDDataSet& values
		, const bool unintInKT = false, const double temp = 300);
		void ReadFromFile(const std::string& fileName, NDDataSet& positions, OneDDataSet& values
		, const bool unintInKT = false, const double temp = 300);

};


#endif // _FunctionFileHandler_H
