#pragma once

#ifndef _SplineFileHandler_H
#define _SplineFileHandler_H

#include "../../MathTools/include/MathCommon.h"
#include <iostream>
#include <string>

namespace SplineFileHandler {

	void WriteToFile(const NDDataSet& positions, const OneDDataSet& values, const double temp=300.0);
	void ReadFromFile(const std::string& fileName, NDDataSet& positions, OneDDataSet& values, const double temp=300.0, const bool resample=false);

};

#endif // _SplineFileHandler_H
