// StringParser.h: interface for the StringParser class.
//
//
//
//////////////////////////////////////////////////////////////////////

#ifndef _StringParser_H
#define _StringParser_H

#include <string>
#include <vector>

class StringParser  
{
public:
	
	StringParser(const std::string& input, const std::string& separator="");
	virtual ~StringParser();

	int GetNubmerOfToken();
	const std::vector<std::string>& GetTokens();

private:

	std::vector<std::string> m_tokens;

};

#endif // 
